Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 20/11/2005, à 13:46

phrounz

Ubuntu 5.04 + ATI Radeon 9600

Bonjour à tous, comme d'habitude je viens avec l'éternel message : "ça marche pas".

Pour commencer, j'ai Ubuntu 5.04, j'ai une Radeon 9600 Pro, j'ai récupéré ati-driver-installer-8.19.10-i386.run.
J'ai au départ suivi la méthode décrite dans le wiki :
http://wiki.cchtml.com/index.php/Ubuntu_Installation_Guide

Grosso modo, ça a planté à ce moment :
module-assistant a-i fglrx

- J'ai examiné les erreurs qui étaient données
- j'ai vu que les scripts et Makefile fourni par Ati (dans /usr/src/modules) étaient complètement erronés (le coup des 8 espaces au lieu d'un tab m'est un peu passé en travers de la gorge, je me demande comment les gens chez ATI peuvent être aussi c** pour écrire un script sans même le tester une seule fois)
- j'ai essayé - courageusement - de corriger les problèmes (en particulier j'ai récupéré les sources du kernel qui n'étaient pas fournies par défaut, et qui empéchaient la compilation), à vrai dire je ne crois pas avoir vraiment réussi, le chargement de "module-assistant a-i fglrx" plante toujours à 19%

Puis j'en ai eu marre alors j'ai essayé une autre méthode qui est peut-etre au fond la meme, je sais pas ...
- j'ai recompilé le kernel (linux-source-2.6.10) sans le support du Direct Rendering Manager
- j'ai executé :/lib/modules/fglrx/build_mod/make.sh
- j'ai executé :/lib/modules/fglrx/make_install.sh (là il m'a énervé pendant un moment avec un "Invalid module format " que j'ai fini -semble-t-il- par éradiquer en modifiant build_mod/make.sh qui avait fumé sur la version de gcc)

Alors là c'est devenu particulièrement étrange, car je me retrouve avec le module fglrx qui marche:

- "modprobe fglrx" me dit rien
- "lsmod | grep fglrx" me répond "fglrx                417440  7".
- "lsmod | grep agpgart" me répond "agpgart                31784  2 via_agp".

mais à mon grand malheur, même après redémarrage de l'ordi, fglrxinfo affiche ces mots fatals :
----
display: :0.0  screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 (1.5 Mesa 6.2.1)
----

J'ai essayé ensuite de modifier /etc/X11/xorg.conf, avec fglrxconfig, puis carrément à la main : voici un extrait de la dernière version :

# === ATI device section ===

Section "Device"
    Identifier                          "ATI Graphics Adapter"
    Driver                              "fglrx"
# ### generic DRI settings ###
# === disable PnP Monitor  ===
    #Option                              "NoDDC"
# === disable/enable XAA/DRI ===
    Option "no_accel"                   "no"
    Option "no_dri"                     "no"
# === misc DRI settings ===
    Option "mtrr"                       "off" # disable DRI mtrr mapper, driver has its own code for mtrr
# ### FireGL DDX driver module specific settings ###
# === Screen Management ===
    Option "DesktopSetup"               "(null)"
    Option "ScreenOverlap"              "0"
    Option "GammaCorrectionI"           "0x00000000"
    Option "GammaCorrectionII"          "0x00000000"
# === OpenGL specific profiles/settings ===
    Option "Capabilities"               "0x00000000"
    Option "CapabilitiesEx"             "0x00000000"
# === Video Overlay for the Xv extension ===
    Option "VideoOverlay"               "on"
# === OpenGL Overlay ===
# Note: When OpenGL Overlay is enabled, Video Overlay
#       will be disabled automatically
    Option "OpenGLOverlay"              "off"
# === Center Mode (Laptops only) ===
    Option "CenterMode"                 "off"
# === Pseudo Color Visuals (8-bit visuals) ===
    Option "PseudoColorVisuals"         "off"
# === QBS Management ===
    Option "Stereo"                     "off"
    Option "StereoSyncEnable"           "1"
# === FSAA Management ===
    Option "FSAAEnable"                 "no"
    Option "FSAAScale"                  "1"
    Option "FSAADisableGamma"           "no"
    Option "FSAACustomizeMSPos"         "no"
    Option "FSAAMSPosX0"                "0.000000"
    Option "FSAAMSPosY0"                "0.000000"
    Option "FSAAMSPosX1"                "0.000000"
    Option "FSAAMSPosY1"                "0.000000"
    Option "FSAAMSPosX2"                "0.000000"
    Option "FSAAMSPosY2"                "0.000000"
    Option "FSAAMSPosX3"                "0.000000"
    Option "FSAAMSPosY3"                "0.000000"
    Option "FSAAMSPosX4"                "0.000000"
    Option "FSAAMSPosY4"                "0.000000"
    Option "FSAAMSPosX5"                "0.000000"
    Option "FSAAMSPosY5"                "0.000000"
# === Misc Options ===
    Option "UseFastTLS"                 "0"
    Option "BlockSignalsOnLock"         "on"
    Option "UseInternalAGPGART"         "no"
    Option "ForceGenericCPU"            "no"
    BusID "PCI:1:0:0"    # vendor=1002, device=4150
    Screen 0
EndSection

Notez que j'ai essayé avec "UseInternalAGPGART" avec "yes" puis "no".

Ah oui, j'ai aussi modifié à la main le fichier /etc/modules pour rajouter fglrx :

fglrx
ide-cd
ide-disk
ide-generic
lp
mousedev
psmouse

J'ai passé des heures à essayer toutes les combinaisons, à chercher sur Internet quelles nouvelles lignes de commandes je pourrais executer pour faire marcher ce truc. La je commence à fatiguer.

Merci d'avance pour la moindre aide que vous pourriez m'apporter.

#2 Le 20/11/2005, à 15:27

phrounz

Re : Ubuntu 5.04 + ATI Radeon 9600

Update :
J'ai installé en plus les linux-image et linux-restricted-modules comme dans le HOWTO, j'ai modifié mon fichier /etc/modules qui ressemble maintenant à ça :

agpgart
via-agp
via_agp
fglrx
ide-cd
ide-disk
ide-generic
lp
mousedev
psmouse

J'ai relancé fglrxconfig en disant bien d'utiliser l'agp externe.

Et ça marche toujours pas sad

#3 Le 20/11/2005, à 16:03

phrounz

Re : Ubuntu 5.04 + ATI Radeon 9600

Bon je fournis aussi le fichier xorg.conf :

http://etudiant.univ-mlv.fr/~fbraud/xorg.conf

et Xorg.0.log :

http://etudiant.univ-mlv.fr/~fbraud/Xorg.0.log

dans lequel il semble qu'il y ait un erreur au chargement de /dev/dri/card1 (qui en effet n'existe pas). Cependant pas de problème pour /dev/dri/card0 (qui en effet existe).

#4 Le 21/11/2005, à 19:57

phrounz

Re : Ubuntu 5.04 + ATI Radeon 9600

***Corrigé ***

big_smile

Il fallait juste que je downgrade "xorg-driver-fglrx" de la version courante vers la version Hoary.

Raah à fond dans TuxRacer !!!

Haut de page ↑